<!--{if $item == "sex"}-->
<!-- 性别选择 -->
<ul>
  <!--{if $input == "gender"}-->
  <!--{else}-->
  <li onclick="itemSelectValue('0', '<!--{$text}-->');">
    <!--{$text}-->
    <div class="var-item <!--{if $value == '0'}-->var-item-icon-select<!--{else}-->var-item-icon<!--{/if}-->"></div>
  </li>
  <!--{/if}-->
  <li onclick="itemSelectValue('2', '女会员');">
    女会员
    <div class="var-item <!--{if $value == '2'}-->var-item-icon-select<!--{else}-->var-item-icon<!--{/if}-->"></div>
  </li>
  <li onclick="itemSelectValue('1', '男会员');">
    男会员
    <div class="var-item <!--{if $value == '1'}-->var-item-icon-select<!--{else}-->var-item-icon<!--{/if}-->"></div>
  </li>
</ul>
<script type="text/javascript">
function itemSelectValue(value, text) {
	$("#<!--{$input}-->").val(value);
	$("#<!--{$input}-->_text").html(text);
	varRadioPopClose();
}
</script>
<!--{elseif $item == "avatar"}-->
<!-- 头像选择 -->
<ul>
  <li onclick="itemSelectValue('0', '<!--{$text}-->');">
    <!--{$text}-->
    <div class="var-item <!--{if $value == '0'}-->var-item-icon-select<!--{else}-->var-item-icon<!--{/if}-->"><i class="iconfont">&#xe633;</i></div>
  </li>
  <li onclick="itemSelectValue('1', '有头像');">
    有头像
    <div class="var-item <!--{if $value == '1'}-->var-item-icon-select<!--{else}-->var-item-icon<!--{/if}-->"><i class="iconfont">&#xe633;</i></div>
  </li>
</ul>
<script type="text/javascript">
function itemSelectValue(value, text) {
	$("#<!--{$input}-->").val(value);
	$("#<!--{$input}-->_text").html(text);
	varRadioPopClose();
}
</script>

<!--{else}-->
<!--{assign var="item_list" value=vo_list("mod={volistvar} where={$item}")}-->
<!--{if !empty($item_list)}-->
<ul>
  <!--{if !empty($text)}-->
  <li onclick="objSelectValue('0', '<!--{$text}-->');">
  <!--{$text}-->
  <div class="var-item var-item-icon"></div>
  </li>
  <!--{/if}-->
  <!--{foreach $item_list as $val}-->
  <li onclick="objSelectValue('<!--{$val.value}-->', '<!--{$val.text}-->');">
  <!--{if $value == $val.value}-->
  <a id="text_focus" href="javascript:void(0);"><!--{$val.text}--></a>
  <!--{else}-->
  <!--{$val.text}-->
  <!--{/if}-->
  <div class="var-item<!--{if $value == $val.value}--> var-item-icon-select<!--{else}--> var-item-icon<!--{/if}-->">
    <i class="iconfont">&#xe633;</i>
  </div>
  </li>
  <!--{/foreach}-->
</ul>
<div class="clear"></div>
<script type="text/javascript">
function objSelectValue(value, text) {
	<!--{if $module == "profile"}-->
	//修改资料
	$.ajax({
		type: "POST",
		url: WEBAPP_APPFILE+"?c=profile&a=saveprofilevar",
		cache: false,
		data: {item:"<!--{$item}-->", value:value, r:get_rndnum(8)},
		dataType: "json",
		success: function(data) {
			var json = eval(data);
			var response = json.response;
			var result = json.result;
			if (response == '1') {
				$("#<!--{$input}-->").val(value); //赋值
				$("#<!--{$input}-->_text").html(text); //赋值
				ToastShow("设置成功");
				varRadioPopClose(); //关闭
			}
			else {
				ToastShow("设置失败，请检查网络...");
			}
		},
		error: function() {
			ToastShow("设置失败，请检查网络...");
		}
	});
	
	<!--{else}-->
		$("#<!--{$input}-->").val(value); //赋值
		$("#<!--{$input}-->_text").html(text); //赋值
		varRadioPopClose(); //关闭
	<!--{/if}-->
}
$(function(){
	$("#text_focus").focus();
});
</script>
<!--{/if}-->
<!--{/if}-->
